#include "utils.h"
#include <or1k-support.h>

#include "spr-defs.h"
#include <stdio.h>


inline int custom_float_less(float a, float b) {
    int c = 0, zero = 0, one = 1;
    
    asm(
    "lf.sfle.s %1, %2		\n"
    "l.bnf B1			\n"
    "l.nop			\n"
    "l.add %0, %3, %4 		\n"
    "B1:			\n"
    : "=r" (c)
    : "r" (a), "r" (b), "r" (zero), "r" (one)
    :
    );
    
    return c;
    
}    



int main()
{

	float i = 1.4;
	float j = 1.1;

   	if(custom_float_less(i,j) == 1) printf("%f < %f \n", i, j);	
    	else printf("%f > %f \n", i, j);
	return 0;
}


